.left-right-content-slider-block .slider-content-controlers{
	position:absolute;
	bottom: 3rem;
	padding:0 1rem;
	text-align:center;
	
}

@media(min-width:992px){
	.left-right-content-slider-block .slider-content-controlers .dot-controler{
		margin: 0.2rem 1rem;
		cursor:pointer;
	}
}


@media(max-width:991px){
	.left-right-content-slider-block .slider-content-controlers .dot-controler{
		margin: 0.2rem;
		cursor:pointer;
	}
}

.left-right-content-slider-block .slider-content-controlers .dot-container{
	border-radius: 4rem;
	width: 100%;
	height: auto;
	border:3px solid #f5f5f5;
	overflow:hidden;
}






.left-right-content-slider-block .dot-controler{
	/* animowany procent 0..100 */
	--p: 0;
	
	/* WYMIARY (rem) */
	--size: 3.5rem;
	--thickness: 0.2rem;
	--gap: 0.2rem;
	
	/* KOLORY */
	--c1: #ee0ad5;
	--c2: #d08300;
	
	position: relative;
	width: var(--size);
	height: var(--size);
	display: inline-grid;
	place-items: center;
}

/* ikonka */
.left-right-content-slider-block .dot-controler > img{
	width: calc(var(--size) - (2 * (var(--thickness) + var(--gap))));
	height: calc(var(--size) - (2 * (var(--thickness) + var(--gap))));
	border-radius: 50%;
	display: block;
	object-fit: cover;
	z-index: 2;
}

/* przygaszony pełny dot-controler */
.left-right-content-slider-block .dot-controler::before{
	content: "";
	position: absolute;
	inset: 0;
	border-radius: 50%;
	background: conic-gradient(
    from 0deg,
    var(--c1),
    var(--c2),
    var(--c1)
	);
	opacity: 0.3 !important;
	z-index: 0;
	
	-webkit-mask: radial-gradient(
    farthest-side,
    transparent calc(100% - var(--thickness)),
    #000 0
	);
	mask: radial-gradient(
    farthest-side,
    transparent calc(100% - var(--thickness)),
    #000 0
	);
}

/* wypełnienie postępu */
.left-right-content-slider-block .dot-controler::after{
	content: "";
	position: absolute;
	inset: 0;
	border-radius: 50%;
	z-index: 1;
	
	background: conic-gradient(
    from 0deg,
    var(--c1) 0%,
    var(--c2) calc(var(--p) * 1%),
    transparent 0
	);
	
	-webkit-mask: radial-gradient(
    farthest-side,
    transparent calc(100% - var(--thickness)),
    #000 0
	);
	mask: radial-gradient(
    farthest-side,
    transparent calc(100% - var(--thickness)),
    #000 0
	);
}




.left-right-content-slider-block .pause{
	width:3rem !important;
	height:auto !important;
	position:absolute;
	top:0.2rem;
	left:0.2rem;
	
}

.left-right-content-slider-block .dot-controler .pause{
	opacity:0;
}

.left-right-content-slider-block .dot-controler.active .pause{
	opacity:1;
}


.left-right-content-slider-block{
	position: relative;
	isolation: isolate;
}


.left-right-content-slider-block .slider-stage{
	position: relative;
	width: 100%;
}

.left-right-content-slider-block{
	position: relative;
	isolation: isolate;
}

.left-right-content-slider-block .slider-content-controlers{
	z-index: 50;
	transform: translateZ(0);
	will-change: transform;
}

@media(min-width:992px){
	.left-right-content-slider-block .slider-content-controlers{
		bottom: 3rem;
		
	}
}


@media(max-width:991px){
	.left-right-content-slider-block .slider-content-controlers{
		bottom: 2rem;
		
	}
}



.left-right-content-slider-block{
	position: relative;
}



.left-right-content-slider-block .slider-row{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: auto;   
	width: 100%;
	height: auto;  
	display: block;
	opacity: 0;
	pointer-events: none;
}


.left-right-content-slider-block .slider-row.is-active{
	opacity: 1;
	pointer-events: auto;
}


.left-right-content-slider-block .slider-stage{
	position: relative;
	width: 100%;
	min-height: 1px; 
}


.left-right-content-slider-block .slider-stage{
	overflow: visible;
}

.left-right-content-slider-block .slider-row {
	display: block;
	will-change: opacity;
}


.left-right-content-slider-block video{
	width: 100%;
	height: auto;
	display: block;
}